<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */

get_header(); ?>
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
<!-- \ Banner  / -->

<section class="bannerSec">
  <div class="banner-bg">
    <figure>
      <?php the_post_thumbnail(); ?>
    </figure>
    <div class="bannerText">
      <div class="bannerMid">
        <div class="bannerbox">
          <?php the_content(); ?>
        </div>
      </div>
    </div>
  </div>
</section>
<!-- \ Banner  / -->
<!-- \ Practice Areas  / -->
<section class="practicesSec" id="practiceArea">
  <div class="center">
    <h3>
      <?php the_field("first_title") ?>
    </h3>
    <ul>
      <?php $i =1; if (have_rows('areas')) : while (have_rows('areas')) : the_row(); ?>
      <li>
        <div class="areaSec"> <i class="list<?php echo $i; ?>">bank</i>
          <p>
            <?php the_sub_field('practice_areas_name'); ?>
          </p>
        </div>
      </li>
      <?php $i++; endwhile; endif; wp_reset_query (); ?>
    </ul>
  </div>
</section>
<!-- \ Practice Areas  / -->
<!-- \ Meet the Lawyers  / -->
<section class="meetlawyersSec" id="lawyers">
  <div class="center">
    <h3>
      <?php the_field("second_title") ?>
    </h3>
    <ul>
      <?php 
						$the_query = new WP_Query(array(
						 'post_type' => 'lawyers',
						'posts_per_page' => -1,
						'post_status' => 'publish',
						'order' => 'ASC'
					)); 
					while ( $the_query->have_posts() ) : 
						$the_query->the_post();
					?>
      <li>
        <div class="lawyerDetail">
          <figure>
            <?php
										if ( has_post_thumbnail() ) {
											the_post_thumbnail('lawyer_image');
										}
										else {
											   echo '<img alt="a.png" src="' . get_bloginfo( 'stylesheet_directory' ) 
														. '/images/no-image.png" />';
											}
									 ?>
          </figure>
          <h4>
            <?php the_title(); ?>
          </h4>
          <h5>
            <?php the_field("designation") ?>
          </h5>
          <div class="lawyerText">
            <?php the_content(); ?>
          </div>
        </div>
      </li>
      <?php  endwhile; wp_reset_postdata(); ?>
    </ul>
  </div>
</section>
<!-- \ Meet the Lawyers  / -->
<!-- \ What Our Clients Say About Our Services  / -->
<section class="serviceSec" id="testimonials">
  <div class="center">
    <h3>
      <?php the_field("third_title") ?>
    </h3>
    <div class="serviceBox">
      <div class="vedioSec">
        <iframe height="315" src="<?php the_field("video_url") ?>" allowfullscreen></iframe>
        <div class="vedioText">
          <h5>
            <?php the_field("video_title") ?>
          </h5>
          <p>
            <?php the_field("video_subtitle") ?>
          </p>
        </div>
      </div>
      <div class="testimonialSec">
        <div class="owl-carousel owl-theme mainslider">
          <div class="item">
            <ul>
              <?php 
	      $the_query = new WP_Query(array(
	      'post_type' => 'testimonials',
	      'posts_per_page' => 3,
		  'offset' => 0,
	      'post_status' => 'publish'
         ));
		  $i = 0; 
        while ( $the_query->have_posts() ) : 
	    $the_query->the_post();
        ?>
              <li>
                <?php //echo $i; ?>
                <div class="arthurSec">
                  <figure>
                    <?php
                if ( has_post_thumbnail() ) {
                    the_post_thumbnail('testimonials_image');
                }
                else {
                       echo '<img alt="roy.png" src="' . get_bloginfo( 'stylesheet_directory' ) 
                                . '/images/roy.png" />';
                    }
                 ?>
                  </figure>
                  <div class="arthurDetails">
                    <div class="arthurText">
                      <?php the_content(); ?>
                      <h4>
                        <?php the_title(); ?>
                        | <span>
                        <?php the_field("sub_title") ?>
                        </span></h4>
                    </div>
                  </div>
                </div>
              </li>
              <?php  $i++;  endwhile; wp_reset_postdata(); ?>
            </ul>
          </div>
          <div class="item">
            <ul>
              <?php 
	      $the_query = new WP_Query(array(
	      'post_type' => 'testimonials',
	      'posts_per_page' => 3,
		    'offset' => 3,
	      'post_status' => 'publish'
         )); 
        while ( $the_query->have_posts() ) : 
	    $the_query->the_post();
        ?>
              <li>
                <div class="arthurSec">
                  <figure>
                    <?php
                if ( has_post_thumbnail() ) {
                    the_post_thumbnail('testimonials_image');
                }
                else {
                       echo '<img alt="roy.png" src="' . get_bloginfo( 'stylesheet_directory' ) 
                                . '/images/roy.png" />';
                    }
                 ?>
                  </figure>
                  <div class="arthurDetails">
                    <div class="arthurText">
                      <?php the_content(); ?>
                      <h4>
                        <?php the_title(); ?>
                        | <span>
                        <?php the_field("sub_title") ?>
                        </span></h4>
                    </div>
                  </div>
                </div>
              </li>
              <?php  endwhile; wp_reset_postdata(); ?>
            </ul>
          </div>
        </div>
      </div>
    </div>
  </div>
</section >
<!-- \ What Our Clients Say About Our Services  / -->
<!-- \ Request a Free Consultation  / -->
<section class="requestSec" id="freeConsultation">
  <div class="requestMid"> 
      <h3><?php the_field("fourth_title") ?></h3>
      <?php echo do_shortcode( '[contact-form-7 id="23" title="Request a Free Consultation"]' ); ?> 
  </div>
</section>
<!-- \ Request a Free Consultation  / -->
<!-- \ Blog  / -->
<section class="blogSec" id="blog">
  <div class="center">
    <h3>
      <?php the_field("last_title") ?>
    </h3>
    <ul class="owl-carousel owl-theme blogslider">
      <?php 
							$the_query = new WP_Query(array(
							 'post_type' => 'Post',
							'category_name' => 'Blog', 
							'posts_per_page' => 15,
							'order' => 'DESC'
						)); 
						while ( $the_query->have_posts() ) : 
							$the_query->the_post();
						?>
      <li class="item">
        <div class="blogDetails">
          <h4>
            <?php the_title(); ?>
          </h4>
          <?php    
						       $dateformatstring = "M j, Y";
							   $unixtimestamp = strtotime(get_field('date'));
							?>
          <i class="dateIcon"><?php echo date_i18n($dateformatstring, $unixtimestamp); ?></i>
          <?php the_content(); ?>
        </div>
      </li>
      <?php endwhile; wp_reset_query (); ?>
    </ul>
  </div>
</section>
<!-- \ Blog  / -->
<?php endwhile; endif; ?>
<?php get_footer(); ?>
