<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */

if ( !function_exists( 'optionsframework_init' ) ) {
	define( 'OPTIONS_FRAMEWORK_DIRECTORY', get_template_directory_uri() . '/inc/' );
	require_once dirname( __FILE__ ) . '/inc/options-framework.php';
}
 
if (function_exists('add_theme_support')) {
	add_theme_support('menus');
}
$content_width = 450;
add_theme_support('post-thumbnails');

automatic_feed_links(); 

if ( function_exists('register_sidebar') ) {
	register_sidebar(array(
		'before_widget' =>

'
<div id="%1$s" class="widget %2$s">',
  'after_widget' => '</div>
',
		'before_title' => '
<h3 class="widgettitle">',
  'after_title' => '</h3>
',
	));
	register_sidebar(array(
		'name' => 'Header Call Us',
		'id' => 'header-call-us',
		'before_widget' => '
<aside id="%1$s" class="widget %2$s">',
  'after_widget' => '</aside>
',
		'before_title' => '
<h3 class="widgettitle">',
  'after_title' => '</h3>
',

	));
	register_sidebar(array(
		'name' => 'Footer AboutUs',
		'id' => 'footer-aboutus',
		'before_widget' => '
<aside id="%1$s" class="widget %2$s">',
  'after_widget' => '</aside>
',
		'before_title' => '
<h3 class="widgettitle">',
  'after_title' => '</h3>
',

	));
	register_sidebar(array(
		'name' => 'Footer Menu',
		'id' => 'footer-menu',
		'before_widget' => '
<aside id="%1$s" class="widget %2$s">',
  'after_widget' => '</aside>
',
		'before_title' => '
<h4 class="widgettitle">',
  'after_title' => '</h4>
',

	));
	register_sidebar(array(
		'name' => 'Footer Social',
		'id' => 'footer-social',
		'before_widget' => '
<aside id="%1$s" class="widget %2$s">',
  'after_widget' => '</aside>
',
		'before_title' => '
<h4 class="widgettitle">',
  'after_title' => '</h4>
',

	));
}

function register_my_menus() {
	register_nav_menus(
		array(
	'primary' => __('Primary Navigation', 'twentyten'),
	)
	);
}
add_action( 'init', 'register_my_menus' );

function content($limit) {
  $content = explode(' ', get_the_content(), $limit);
  if (count($content)>=$limit) {
    array_pop($content);
    $content = implode(" ",$content).'...';
  } else {
    $content = implode(" ",$content);
  }	
  $content = preg_replace('/\[.+\]/','', $content);
  $content = apply_filters('the_content', $content); 
  $content = str_replace('
]]>
', ']]&gt;', $content);
  return $content;
}


/* crop image */
add_image_size('lawyer_image', 262, 198, true);
add_image_size('testimonials_image', 56, 74, true);



/* Admin Filter for custom post type */
add_action('restrict_manage_posts', 'tsm_filter_post_type_by_taxonomy');
function tsm_filter_post_type_by_taxonomy() {
	global $typenow;
	$post_type = 'gallery'; // change to your post type
	$taxonomy  = 'cat-gallery'; // change to your taxonomy
	if ($typenow == $post_type) {
		$selected      = isset($_GET[$taxonomy]) ? $_GET[$taxonomy] : '';
		$info_taxonomy = get_taxonomy($taxonomy);
		wp_dropdown_categories(array(
			'show_option_all' => __("Show All {$info_taxonomy->label}"),
			'taxonomy'        => $taxonomy,
			'name'            => $taxonomy,
			'orderby'         => 'name',
			'selected'        => $selected,
			'show_count'      => true,
			'hide_empty'      => true,
		));
	};
}


/* Custom Post Type */
add_action('init', 'create_post_type');

function create_post_type()
{
    register_post_type('lawyers', array(
        'labels' => array(
            'name' => __('Lawyers'),
            'singular_name' => __('lawyers')
        ),
        'public' => true,
        'has_archive' => true,
        'menu_icon' => 'dashicons-groups',
        'rewrite' => array(
            'slug' => 'lawyers'
        ),
        'supports' => array(
            'title',
			'editor',
            'thumbnail'
        )
    ));
	
	register_post_type('testimonials', array(
        'labels' => array(
            'name' => __('Testimonials'),
            'singular_name' => __('testimonials')
        ),
        'public' => true,
        'has_archive' => true,
        'menu_icon' => 'dashicons-welcome-write-blog',
        'rewrite' => array(
            'slug' => 'testimonials'
        ),
        'supports' => array(
            'title',
			'editor',
            'thumbnail'
        )
    ));
}

/* Custom Post Type Taxonomy */
function people_init()
{
    register_taxonomy('cat-gallery', 'gallery', array(
        'label' => __('Category'),
        'public' => true,
        'rewrite' => array(
            'slug' => 'cat-gallery'
        ),
        'hierarchical' => true
    ));
   
}
add_action('init', 'people_init');


/* Change Admin Logo */
function custom_loginlogo() {
echo '
<style type="text/css">
body.login { background: #fff !important; }
h1 a {background-image: url('.get_bloginfo('template_directory').'/images/logo.png) !important; width: 169px!important; height: 50px!important; background-size: 169px!important; }
</style>
';
}
add_action('login_head', 'custom_loginlogo'); 