<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */
?>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="format-detection" content="telephone=no" />
<title>
<?php wp_title('&laquo;', true, 'right'); ?>
<?php bloginfo('name'); ?>
</title>
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/owl.carousel.css" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/animate.css" type="text/css" media="screen" />
<link rel="shortcut icon" href="<?php echo get_template_directory_uri()  ?>/images/favicon.ico" type="image/x-icon">
<link rel="icon" href="<?php echo get_template_directory_uri()  ?>/images/favicon.ico" type="image/x-icon">
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link href='https://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700' rel='stylesheet' type='text/css'>
<link href='https://fonts.googleapis.com/css?family=Lora:400,700' rel='stylesheet' type='text/css'>
<!--[if IE]>
   <script type="text/javascript" src="<?php echo get_template_directory_uri()  ?>/js/ie_html5_fix.js"></script>
   <![endif]-->
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>

<!--  / wrapper \ -->
<main id="wrapper">

<!-- \ header / -->
<header class="headerSec" id="home">
  <div class="mid">
    <!-- / Logo \ -->
    <div class="logo"> <a href="<?php echo get_option('home'); ?>/" title="<?php bloginfo('name'); ?>">
      <?php if ( of_get_option('website_logo') ) { ?>
      <img src="<?php echo of_get_option('website_logo'); ?>" alt="<?php bloginfo('name'); ?>" />
      <?php } else { ?>
      <img src="<?php bloginfo('template_url'); ?>/images/logo.png" alt="<?php bloginfo('name'); ?>" />
      <?php } ?>
      </a> </div>
    <!-- \ Logo / -->
    <!-- / menu box \ -->
    <nav class="menuBox">
      <?php  wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
    </nav>
    <!-- \ menu box / -->
    <div class="workingSec">
      <?php dynamic_sidebar( 'header-call-us' ); ?>
    </div>
  </div>
</header>
<!-- \ header  / -->
<!--  / content \ -->
<div class="content">
